Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.SET_METADATA_KEY

    java.lang.Object
      java.lang.Enum<Message.SET_METADATA_KEY>
          com.skype.api.Message.SET_METADATA_KEY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.SET_METADATA_KEY>

Enclosing class:
  Message

    public static enum Message.SET_METADATA_KEY

extends java.lang.Enum<Message.SET_METADATA_KEY>

For messages of type SET_METADATA that alert participants to changes to the associated Conversation's metadata, indicates which metadata property changed and its P_BODY_XML property contains the changed data. Your UI is expected to detect messages with PARAM_KEY set and to update its visual representation of Conversation accordingly.
You can use the associated Conversation's properties and methods to obtain the updated metadata rather than parse the message body XML, for example, Conversation.P_META_PICTURE and Conversation.Conversation.GetPropMetaPicture.

Enum Constant Summary
`SET_META_GUIDELINES` Notification message that conversation guidelines have changed.
`SET_META_NAME` Notification message that conversation name has changed.
`SET_META_PICTURE` Notification message that conversation picture has changed.
`SET_META_TOPIC` Notification message that conversation topic has changed.

Method Summary
`static Message.SET_METADATA_KEY` | `fromString(java.lang.String s)`
`static Message.SET_METADATA_KEY` | `get(int code)`
`int` | `getId()`
`static Message.SET_METADATA_KEY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.SET_METADATA_KEY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_META_NAME

    public static final Message.SET_METADATA_KEY SET_META_NAME

  Notification message that conversation name has changed.

### SET_META_TOPIC

    public static final Message.SET_METADATA_KEY SET_META_TOPIC

  Notification message that conversation topic has changed.

### SET_META_GUIDELINES

    public static final Message.SET_METADATA_KEY SET_META_GUIDELINES

  Notification message that conversation guidelines have changed.

### SET_META_PICTURE

    public static final Message.SET_METADATA_KEY SET_META_PICTURE

  Notification message that conversation picture has changed.

Method Detail

### values

    public static Message.SET_METADATA_KEY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.SET_METADATA_KEY c : Message.SET_METADATA_KEY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.SET_METADATA_KEY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Message.SET_METADATA_KEY get(int code)

### fromString

    public static Message.SET_METADATA_KEY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.